apt 3.2.0 commandline package manager

Public Attributes | List of all members
Solver::State Struct Reference

The solver state. More...

`#include <apt-pkg/solver3.h>`

## Public Attributes
const Clause * | reason {}
const char * | reasonStr {}
level_type | level {0}
LiftedBool | assignment {LiftedBool::Undefined}
struct { |
bool discovered {} |
bool manual {} |
} | flags
std::vector< std::unique_ptr< Clause > > | clauses
std::vector< const Clause * > | watches [2]

## Detailed Description

The solver state.

For each version, the solver records a assignment at a certain level. It maintains an array mapping from version ID to state.

The documentation for this struct was generated from the following file:

- apt-pkg/solver3.h